io.vertx.rxjava.ext.unit.collect

## Class EventBusCollector

- java.lang.Object
- - io.vertx.rxjava.ext.unit.collect.EventBusCollector

-     public class EventBusCollector
      extends Object

  The event bus collector listen to events on the Vert.x event bus and translate them into reports.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TypeArg<EventBusCollector>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventBusCollector(EventBusCollector delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EventBusCollector` | `create(Vertx vertx, Handler<TestSuiteReport> reporter)`
    `static EventBusCollector` | `create(Vertx vertx, ReportingOptions options)` Create a message handler reporting with the specified options.
    `EventBusCollector` | `getDelegate()`
    `static EventBusCollector` | `newInstance(EventBusCollector arg)`
    `MessageConsumer` | `register(String address)` Register the collector as a consumer of the event bus with the specified address.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final TypeArg<EventBusCollector> __TYPE_ARG

  - ### Constructor Detail

    - #### EventBusCollector

          public EventBusCollector(EventBusCollector delegate)

  - ### Method Detail

    - #### getDelegate

          public EventBusCollector getDelegate()

    - #### create

          public static EventBusCollector create(Vertx vertx,
                                                 ReportingOptions options)

      Create a message handler reporting with the specified options. The returned message handler can be registered to an event bus.
      Parameters:
        `vertx` -
        `options` - the reporting options
      Returns:
        the message handler

    - #### create

          public static EventBusCollector create(Vertx vertx,
                                                 Handler<TestSuiteReport> reporter)

    - #### register

          public MessageConsumer register(String address)

      Register the collector as a consumer of the event bus with the specified address.
      Parameters:
        `address` - the registration address
      Returns:
        the subscribed message consumer

    - #### newInstance

          public static EventBusCollector newInstance(EventBusCollector arg)

Copyright © 2017. All rights reserved.